#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Manage PIM identity
Name:           kidentitymanagement
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  kdelibs4support-devel >= 5.12.0
BuildRequires:  kcmutils-devel >= 5.12.0
BuildRequires:  kconfigwidgets-devel >= 5.12.0
BuildRequires:  kwallet-devel >= 5.12.0
BuildRequires:  kmime-devel >= 4.82.0
BuildRequires:  akonadi-devel >= 4.81.0
BuildRequires:  kcoreaddons-devel >= 5.12.0
BuildRequires:  kcompletion-devel >= 5.12.0
BuildRequires:  kxmlgui-devel >= 5.12.0
BuildRequires:  kio-devel >= 5.12.0
BuildRequires:  kconfig-devel >= 5.12.0
BuildRequires:  kemoticons-devel >= 5.12.0
BuildRequires:  kcodecs-devel >= 5.12.0

BuildRequires:  cmake(KF5PimTextEdit) >= 5.3.2

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(libsasl2)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
Manage PIM identity

%files
%_datadir/dbus-1/interfaces/kf5_org.kde.pim.IdentityManager.xml

#--------------------------------------------------------------------

%define kmailtransport_major 5
%define libkmailtransport %mklibname kf5identitymanagement %{kmailtransport_major}

%package -n %libkmailtransport
Summary:      Manage PIM identity
Group:        System/Libraries
Requires:     %name = %version-%release

Obsoletes:    %{_lib}kf5identitymanagement4 < 16.03.80

%description -n %libkmailtransport
Manage PIM identity

%files -n %libkmailtransport
%_kf5_libdir/libKF5IdentityManagement.so.%{kmailtransport_major}*

#--------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf5identitymanagement -d

%package -n %kmailtransport_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmailtransport = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_kf5_includedir/KIdentityManagement
%_kf5_includedir/kidentitymanagement_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5IdentityManagement
%_qt5_prefix/mkspecs/modules/qt_KIdentityManagement.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090069
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076805
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072013
- New version 16.11.90

* Mon Nov 21 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1068507
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061391
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050658
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047298
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040059
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012545
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004335
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996460
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991182
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1.mga6-current
+ Revision: 987451
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922620
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911937
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906774
- Rebuild for ARM

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905395
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901131
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890611
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880424
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865942
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863744
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861755
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858736
- Split files out of the library

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858562
- imported package kidentitymanagement

